2004-09-29  Steve Youngs  <steve@youngs.au.com>

	* Makefile (REQUIRES): Add ecrypto.

2004-06-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.16 released.

2004-06-12  Mats Lidell  <matsl@xemacs.org>

	* hvm.el: Synced with vm.
        (vm-assimilate-new-messages): Fixed bug. vm function had more
	args. (Thanks to Peter Chubb for the report.)

2004-05-16  Mats Lidell  <matsl@xemacs.org>

	* hyperbole.el (vm-mode-hook): Use hook.

2004-02-20  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.15 released.

2004-02-17  Jerry James  <james@xemacs.org>

	* kotl/kotl-mode.el: Use eval-and-compile to quiet byte compiler.
	* kotl/kview.el: Ditto.

2003-11-29  Jerry James  <james@xemacs.org>

	* hgnus.el: Get macros in gnus-sum when compiling.
	* hvm.el (vm-edit-message-end): Follow recent VM name change.

2003-11-18  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.14 released.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.13 released.

2003-10-27  Mats Lidell  <matsl@contactor.se>

	* .cvsignore: Created and added hsite.el as it is generated.

2003-08-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.12 released.

2003-07-25  Jake Colman  <colman@ppllc.com>

	* man/hyperbole.texi: Generate a proper info dir entry

2003-07-22  Mats Lidell  <matsl@contactor.se>

	* wrolo-menu.el (infodock-wrolo-menu): Fix bug with bad function
	in menu item: rolo-edit 
	(infodock-wrolo-menu): Link fixed to hyperbole Rolo manual.

	* hui-mini.el (hyperbole): Use hyperbole-on-menubar.

	* hinit.el (hyperbole-on-menubar): Visibility is customizable.
	(hyperb:init): Use hyperbole-on-menubar.

	* hpath.el (hpath:display-where): Customizable. 
	(hpath:find-alist): Added eog, oowriter, oocalc.

	* hui-menu.el (hui-menu-options): Uses hyperb:customize for
	general package customization.

	* hyperbole.el (hyperb:customize): Helper. Brings up customize for
	the package.

	* hsite-ex.el (smart-scroll-proportional): Customizable.

	* hyperbole.el (hyperb:find-file-urls-mode): Customizable.
	(hyperbole): Created group.

2003-07-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.11 released.

2003-06-30  Mats Lidell  <matsl@contactor.se>

	* Makefile (EARLY_GENERATED_LISP): hsite.el is generated.

2003-06-28  Adrian Aichner  <adrian@xemacs.org>

	* package-info.in: Use description from SF Project Summary page.

2003-06-28  Mats Lidell  <matsl@contactor.se>

	* hversion.el:  Know about gtk.

	* hui-mini.el (hui:menus): Use xemacs-discuss. Disable the other
	lists.

	* hui-menu.el (infodock-hyperbole-menu): Use
	xemacs-discuss. Disable the other lists.

	* hui-em19-b.el: Know about gtk.

	* hibtypes.el (hyp-address): Use xemacs-discuss.

	* Makefile: The xemacs package style.

1999-07-18  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:version): Version 4.18 released.

* hvm.el (vm-edit-mode): Commented out lines that are included
   (improperly) in VM's `vm-edit-message' function.

1999-07-16  Bob Weiner  <weiner@beopen.com>

* hyperbole.el: Fixed bug caused by autoloading of hyperb:autoload which
    caused loading messages to appear in initial shell when the editor
    was launched.

* kotl/kotl-mode.el (kotl-mode-map): Use substitute-key-definition
    available in modern versions of XEmacs.

* kotl/klabel.el (klabel-type:to-label-end): Fixed to handle the situation 
    during filling where the first node may not be at the beginning of the 
    buffer.

1999-07-14  Bob Weiner  <weiner@beopen.com>

* kotl/kfill.el (kfill:fill-paragraph): Renamed from fill-paragraph.
	        (kfill:do-auto-fill): Renamed from do-auto-fill.
  kotl/kotl-mode.el (kotl-mode): Made kfill's fill paragraph and auto-fill 
    commands affect only Koutlines, not all buffers.
                (kfill:funcall): 
		(kfill:function-table): Removed, no longer used.

1999-07-13  Bob Weiner  <weiner@beopen.com>

* kotl/kfill.el: Removed require of kview.

* hmouse-drv.el (smart-scroll-proportional): Fixed bug that could cause
    this to be set to nil initially when the default should be t.

1999-07-12  Bob Weiner  <weiner@beopen.com>

* kotl/kimport.el (kimport:copy-and-set-buffer): Set major-mode in
    temporary buffer.

1999-07-11  Bob Weiner  <weiner@beopen.com>

* kotl/kfill.el (fill-paragraph): This may be called from
    `fill-region-as-paragraph' in "filladapt.el" which narrows the region to
    the current paragraph.  A side-effect is that the cell identifier and
    indent information needed by this function is no longer visible.  So we
    temporarily rewiden the buffer here. 

1999-07-10  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (action-key-default-function): Changed from `hui:menu' to
    `action-key-error' since popping up a minibuffer menu after a click in
    a random context was too confusing to new users.  It is better simply to
    display an error message.  More advanced users can set this themselves.

1999-07-09  Bob Weiner  <weiner@beopen.com>

* _hypb: Added as duplicate of .hypb file for when hyperb:microcruft-os-p is true.

* hversion.el (after-init-hook): It is possible for this file to be loaded
    before the first frame is initialized in which case
    `hyperb:window-system' will have the wrong value.  This hook
    re-initializes it to the proper value at the end of the startup sequence.

1999-07-01  SL Baur  <steve@beopen.com>

* hypb.el (hypb:domain-name): Use cleaner method of obtaining a temporary
buffer.

==============================================================================
V4.18 changes ^^^^:
==============================================================================

1999-06-27  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:version): Version 4.17 released.

* hibtypes.el (debugger-source): Improved GDB/WDB breakpoint line
    matching.

* hmouse-tag.el (smart-emacs-lisp-mode-p): Added Texinfo mode
    since often use Emacs Lisp symbols in manuals.

1999-06-25  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-add): Fixed bug in substring indexing.

* hmouse-tag.el (smart-cc-mode-initialize): Added as an autoload.
	        (smart-c-include-file): Called above function.

1999-06-24  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (hui-menu-remove): 
	      (hyperbole-menubar-menu): Used customize when available on
    the `menubar-configuration' variable.

* hibtypes.el (pathname): Updated to handle whitespace delimited Emacs
    Lisp file names.

1999-06-23  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:help-buf-prefix): Renamed from `hypb:help-buf-suffix' and
    changed value to better conform to other help buffers.
          (hypb:help-buf-name): Rewrote.

* hmouse-drv.el (hkey-help): Modernized by invoking `help-mode'.

* hmouse-tag.el (smart-tags-file-list): Fixed to automatically use
    `smart-emacs-tags-file' when in the *scratch* buffer.

1999-06-22  Bob Weiner  <weiner@beopen.com>

* hmouse-drv.el (hkey-help-show): Made first arg, buffer, optional 
    since the speedbar package can call this function without that
    argument.

* kotl/kimport.el (kimport:count-paragraphs): Added since can no longer
    use count-matches since `paragraph-separate' is not anchored to the
    beginning of lines any more.
                  (kimport:text-paragraphs): Changed to not
    re-search-forward for `paragraph-start'.

* hpath.el (hpath:find-other-frame): Use id-create-frame if available to
    set minimum frame size.

1999-06-21  Bob Weiner  <weiner@beopen.com>

* kotl/kfill.el: Replaced `fill-prefix-prev' with `prior-fill-prefix'
    and rewrote kfill:fill-paragraph to deal with adaptive filling.   

1999-06-20  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:display-alist): Added support for playing .au sound files.

1999-06-19  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:display-alist): Fixed to use the value of
    hpath:display-where to determine where Info nodes are displayed.

* hpath.el (hpath:at-p): Added recognition of whitespace delimited
    existing filenames so that one can point at a filename anywhere and
    jump to it.
  hibtypes.el (pathname): Made this the lowest priority type within this
    file since it now matches broadly to any whitespace delimited existing 
    file.

* hactypes.el (link-to-file-line): Protected (smart-tags-file-path)
    with a condition-case so it can't trigger an error.  In such cases
    where a tag-table is not available from which to expand the `path'
    arg, just use it unchanged and let the `hpath:find-line' call
    determine whether or not it exists.

* DEMO: Added `Using URLs as Filenames' section.
  man/hyperbole.texi (Using URLs with Find-File): Added.

1999-06-18  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (hui-menu-options): Added `Find-File-Accepts-URLs' item.
  hui-mini.el (hui:menus): Added `Find-File-URLs' toggle item.

* hyperbole.el (hyperb:find-file-urls-mode): 
	       (hyperb:enable-find-file-urls): 
	       (hyperb:disable-find-file-urls): Added these functions to
    control whether find-file commands accept www and ftp URLs.

* Makefile (dist): Build a .zip archive for Windows in addition to the
    .tgz distribution.

1999-06-18  Bob Weiner  <weiner@beopen.com>

* hui-mini.el (hui:menus): Renamed MailLists to MsgForums.
  hui-menu.el (infodock-hyperbole-menu): Renamed Mail-Lists to Msg-Forums.

1999-06-17  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-rename): Added to prompt user to rename old personal rolo
    files when wrolo is loaded.

* wrolo.el (rolo-display-buffer): Renamed buffer to *Hyperbole Rolo*.

* hactypes.el (exec-window-cmd): 
              (exec-shell-cmd): Renamed buffer to *Hyperbole Shell*.

1999-06-16  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:display-file-with-logo): Fixed to not count other extents
    in the buffer as the logo extent.

* hbut.el (ebut:key-src): Added support for movement to a different
    directory within `make' output.

* wrolo.el (rolo-file-list): Changed default rolo file to ~/.rolo.otl to
    conform to new shortened naming strategy.

1999-06-15  Bob Weiner  <weiner@beopen.com>

* HY-ABOUT:  Renamed from ABOUT.

1999-06-11  Bob Weiner  <weiner@beopen.com>

* hsys-w3.el (www-url:handler-function): 
  hyperbole: Made file finding commands recognize ftp and http URLs
    after Hyperbole is installed (not necessarily fully loaded).

* Used new name BeOpen.com throughout.

* hpath.el (hpath:find): Fixed to transform ftp URLs to efs filenames
    before trying to copy them to a local file.

1999-06-09  Bob Weiner  <weiner@beopen.com>

* kotl/kfill.el (kfill:function-table): Eliminated loading of "fill.el"
    and "simple.el" which caused improper paragraph filling behavior.

* Makefile: Rewrote to handle more dependencies and to integrate .texi
    manual builds.

1999-06-03  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-display-format-function): Added to format rolo entries for display.
           (rolo-add-match): Used above variable.
  man/hyperbole.texi (Rolo Settings): Added description of above variable.

1999-05-26  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-to): 
	   (rolo-add): Disallowed delimiter characters within entry
   category names to prevent matching to / characters within URLs included
   right after an entry name.

1999-05-23  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (grep-msg): Added support for the Weblint Perl package.

1999-05-13  Bob Weiner  <weiner@beopen.com>

* htz.el (htz:date-parse):
         (htz:span-in-days): Added support for calendar-julian-date input format.

1999-05-12  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:return-process-output): Added to return the output of a
    process call.
          (hypb:call-process-p): Made `infile' argument optional.

1999-03-04  Bob Weiner  <weiner@beopen.com>

* kotl/kview.el (kcell-view:idstamp): Fixed bug that triggered error if
    autonumbering was set to none and then the {C-c @} command was invoked.

1999-02-07  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:rfc): Updated default to use ftp.faqs.org.

1999-02-04  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:configuration): Fixed to insert at the start of the
    message body and thus prior to any user signature.

1998-11-20  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:command-string): Added.
	   (hpath:find-program): 
	   (hpath:find): Fixed to handle list of possible display programs
    properly and modified to signal an error if the filename does not
    exist or is not readable.

==============================================================================
V4.17 changes ^^^^:
==============================================================================

1998-11-19  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:version): Version 4.16 released.

1998-11-18  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el (smart-tags-display): Removed exact match setting of
  `find-tag-tag-order' for GNU Emacs since it will not work for #define
  entries in TAGS tables since they include the #define prefix and do not
  have a separate tag name part upon which to achieve an exact match.  The 
  only setting that will work is `tag-any-match-p'.
  	        (smart-tags-display): Changed local setting of
  `tags-table-list' to a permanent one so that if the find-tag command
  prompts for a tags file, it is saved for the next usage of this function.

1998-11-09  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Added support for function menu `fume-list-mode'.

1998-11-06  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Changed Remove-this-Menu to
    Remove-This-Menu for uniformity with InfoDock menu items.

1998-10-30  Bob Weiner  <weiner@beopen.com>

* kotl/kexport.el (kexport:html-replacement-alist): Fixed possible double
    markup of URLs due to hpath:url-regexp2 match.

==============================================================================
V4.16 changes ^^^^:
==============================================================================

1998-10-27  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:version): Version 4.15 released.

1998-10-26  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:display-alist): 
  hibtypes.el (mail-address): Dealt with case-insensitive OSes.

1998-10-25  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Added support for (help-mode) which displays
    Emacs Lisp variable and function documentation

* hui-mouse.el (smart-man-c-routine-ref): Simplified.
  hmouse-tag.el (smart-c): Added optional 3rd argument tags-file-list.
                (smart-tags-file): Renamed to (smart-tags-file-list) and
    modified to return ordered list of TAGS file found below current
    directory from deepest TAGS file to the one closest to the root
    directory.  Also eliminated fallback interactive prompting for a tags
    table.  Signal an error in such cases which explains how to build a
    tags table.  Rewrote all callers of this function too.
                (smart-tags-file-path): Rewrote to utilize a list of tag
    files.
                (smart-*-tag): Eliminated setting of older
    `tags-file-name' variable.
    (smart-ancestor-tag-files): Added and called in (smart-tags-file-list).
	        (smart-tags-display): Added and used optional third
    parameter tags-file-list to override computation of this list in some
    cases.

* hpath.el (hpath:push-tag-mark): Added.
	   (hpath:display-buffer): 
           (hpath:display-buffer-other-frame): Called hpath:push-tag-mark.

* hmouse-tag.el (smart-lisp): Eliminated use of old wtags.el code.
                (smart-tags-display): Updated to push a tag marker when
    a tag match is found.

==============================================================================
V4.15 changes ^^^^:
==============================================================================

1998-10-15  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:version): Version 4.14 released.

1998-10-01  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (gnus-push-button): Added.

1998-09-30  Bob Weiner  <weiner@beopen.com>

* hsys-w3.el (www-url): Added message to give user feedback when viewing
    in an external browser.

* hui-menu.el (infodock-hyperbole-menu): 
              (infodock-hyperbole-menu): Grayed out these items when not
    applicable.

1998-09-28  SL Baur  <steve@beopen.com>

* GNUmakefile.id: Restore kotl/ subdirectory on installation.

1998-09-27  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-highlight-face): 
  hui-xe-but.el:
  hui-em19-b.el: Converted all make-face calls to newer customize-based
    `defface' macro calls.  This eliminates load-time ordering
    dependencies of when face properties may be set.

* hui-mouse.el (hkey-alist): Added initial point-and-click Python support.

1998-09-26  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (hui-menu-url-options): Changed Current-Netscape-Window to
    Any-Netscape-Window to match the minibuffer menu entry.  Also changed
    Here to W3 for the same reason.

* hyperbole.el (action-key-url-function): Eliminated use of this variable
    and replaced with `browse-url-browser-function' settings.
  hui-menu.el (hui-menu-url-options): 
  hui-mini.el (hui:menus): Added Grail and Lynx settings.
  hui-menu.el (hui-menu-url-options): 
  hsys-w3.el (www-url): Updated to use `browse-url-browser-function'
    exclusively.

1998-09-25  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (dir-summary): Allow for entry matches in MANIFEST.suffix
    files which may lack any descriptive content.

1998-09-10  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode-map): Handle M-BS binding under XEmacs
    and overloading of `backward-or-forward-delete-char' function.

==============================================================================
V4.14 changes ^^^^:
==============================================================================

1998-09-01  Bob Weiner  <weiner@beopen.com>

* wrolo-logic.el (rolo-map-logic): Added rolo @loc> line to output to
    support editing of matched entries.

1998-08-28  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (grep-msg): Stopped BSO/Tasking error format from matching
    to HP cc error format.

* hpath.el (hpath:find-alist): Changed PDF viewer to a list of
    ("xpdf" "acroread").  Xpdf is generally much faster than Adobe's
    acroread.

* hpath.el: Replaced all hpath:ange-ftp functions with hpath:efs since
    this is the newer remote pathname package.  Still left compatibility
    with ange-ftp, however.
            (hpath:find-executable): Added to allow lists of display
    executables rather than just one per file type.
            (hpath:find): Called hpath:find-executable.

* hversion.el (hyperb:mouse-buttons): Added for conditionalizing based on
    the number of available mouse buttons.
	      (sm-window-sys-term): Added `mswindows' symbol for newer
    versions of XEmacs on NT.

1998-08-27  Bob Weiner  <weiner@beopen.com>

* hyperbole.el (featurep 'info): Replaced wrong 'Info symbol.

1998-08-26  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Changed from a defconst to a defun
    to facilitate initialization at editor startup.

1998-08-25  Bob Weiner  <weiner@beopen.com>

* hypb.el: Deleted no longer used hypb:copy-sublists and hypb:window-list-all-frames.
           (hypb:window-list): Rewrote from scratch.

1998-08-18  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (debugger-source): Updated GDB clause to expand file name
    based on the directory from `gud-last-frame' or `gdb-last-frame'.

1998-08-14  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (elisp-compiler-msg): Supported new InfoDock and XEmacs
    compiler error format.

* Changed \^M everywhere to more modern \r syntax and added \r where
  needed to support MS OS usage of \r\n to end lines.

1998-08-13  Bob Weiner  <weiner@beopen.com>

* kotl/klink.el (klink:at-p): Eliminated false matches in occur and shell
    modes.
	
==============================================================================
V4.13 changes ^^^^:
==============================================================================

1998-08-03  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Made Outline/ menu items designed 
    to work with kotl-mode inactive when in a different major mode.

1998-08-01  Bob Weiner  <weiner@beopen.com>

* hpath.el: Fixed bug in recognition of www.domain.com abbreviated URLs
    when in a buffer.

==============================================================================
V4.12 changes ^^^^:
==============================================================================

1998-07-02  SL Baur  <steve@beopen.com>

* hypb.el (hypb:mouse-help-file): 
	  (hypb:display-file-with-logo): Use locate-data-file if it exists.

Thu Jun 25 19:57:18 1998  Bob Weiner  <weiner@beopen.com>

* kotl/kmenu.el: Added Demote and Promote to the Edit menu.
    Also added Tab-Key-Inserts-Spaces and Tab-Key-Tabs-Over.

* kotl/kotl-mode.el (kotl-mode:toggle-indent-tabs-mode): Added and
    called from the menu.

1998-06-03  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode-map): Added scroll-down-command and
    scroll-up-command overloads for InfoDock 4 and XEmacs 20.

1998-05-07  Bob Weiner  <weiner@beopen.com>

* hversion.el (sm-window-sys-term): Added w32 used by newer versions of
    GNU Emacs.

Sat May  2 01:45:46 1998  Bob Weiner  <weiner@beopen.com>

* hrmail.el (rmail-summary-create-post-hook):
            (rmail-get-new-mail-post-hook):  Use these hooks if they are
    bound instead of overloading the associated functions.
    Eliminated the need for function overloading when running in InfoDock.

Fri May  1 22:35:14 1998  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:function-copy): 
	  (hypb:function-symbol-replace): 
  hact.el (action:params): 
	  (action:commandp): Patches from SLB to handle XEmacs V20 opaque
    byte-code objects.

Thu Apr 30 00:03:08 1998  Bob Weiner  <weiner@beopen.com>

* wrolo-menu.el (wrolo-popup-menu): Removed unused InfoDock clause.

Wed Apr 29 23:58:17 1998  Bob Weiner  <weiner@beopen.com>

* kotl/kmenu.el (kotl-popup-menu): Rewrote to eliminate invalid macro call
    to popup-menu under GNU Emacs.

Thu Apr 23 02:17:34 1998  Bob Weiner  <weiner@beopen.com>

* hactypes.el (exec-window-cmd): Fixed so existing *shell* buffer
    is not renamed to *Hypb Shell* under InfoDock.

==============================================================================
V4.11 changes ^^^^:
==============================================================================

Tue Apr 21 02:32:23 1998  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:example): Fixed to not create
    multiple example buffers and to save personal copy of
    EXAMPLE.kotl buffer when first created.

Mon Apr 20 16:29:15 1998  Bob Weiner  <weiner@beopen.com>

* hui-mini.el (hui:menus): 
  hui-menu.el (infodock-hyperbole-menu): 
  HY-README:  Moved What's New into a separate file, HY-NEWS.

* HY-README: Renamed from README.

Fri Apr 17 00:10:37 1998  Bob Weiner  <weiner@beopen.com>

* wrolo-menu.el (id-menubar-wrolo): 
                (id-popup-wrolo-menu): Unified menu implementations so
    most items are not repeated within the code.

* Removed all support for the long dead Lucid Emacs, Sunview window system
  and UofI Epoch.

* kotl/kmenu.el (id-menubar-kotl): 
                (id-popup-kotl-menu): Unified menu implementations so
    items are not repeated within the code.

Sat Mar 28 06:20:50 1998  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-display-matches): Modified to not force display
    in another window if the current window already has the match buffer
    displayed.

Wed Mar 25 23:25:16 1998  Bob Weiner  <weiner@beopen.com>

* hui-window.el (hmouse-paste-region): 
                (hmouse-alist):
  hmouse-key.el (hmouse-save-region): Added to save active region for
    pasting with the Action or Assist Mouse Keys.
                (action-key-depress): 
          	(assist-key-depress): 
  hmouse-drv.el (action-mouse-key): 
	        (assist-mouse-key): Modified to support pasting if the
    Action or Assist Mouse Key is clicked when a region is active within
    any frame (requires that `transient-mark-mode' is set to t under GNU
    Emacs).

Sat Mar 21 02:47:02 1998  Bob Weiner  <weiner@beopen.com>

* hyperbole.el (action-key-url-function): 
  hui-menu.el (hui-menu-options): Removed support for Mosaic since no one
    should be using it any more.

* hsys-w3.el (www-url): Allow this to trigger when in W3 mode so can use
    the Action Key to send a URL to another browser depending on the
    setting of `action-key-url-function'.

Thu Mar 19 02:01:11 1998  Bob Weiner  <weiner@beopen.com>

* Replaced all `fset' calls with `defalias'.

Sun Mar 15 11:17:58 1998  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:find-program): Made application of hpath:display-alist
    case-sensitive.

* kotl/kmenu.el (id-popup-kotl-menu): 
	        (id-menubar-kotl): Added menu items for importing and
    exporting Koutlines.

* kotl/kview.el (kview:default-label-separator): Changed from two spaces
    to a period and then a space, to better delimit labels.

* hpath.el (hpath:url-regexp2): 
           (hpath:string-url-regexp2): Added to handle terse URLs without
    the protocol: prefix.
           (hpath:is-p): 
           (hpath:ange-ftp-at-p): 
           (hpath:ange-ftp-p): Updated these functions to handle terse
    URLs.  Also fixed matching bugs in this last function.
           (hpath:url-regexp): 
           (hpath:url-regexp2): Reworked to use symbolic names for their
    many match groupings, to improve maintainability.

Fri Mar 13 22:06:06 1998  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:url-regexp): Tightened match to ignore trailing quote marks.

Tue Mar  3 00:43:03 1998  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-add): Speeded up the time to locate the proper insertion
    point for a first-level entry by three-fold (33% of the original
    time).  This is the most common case.
           (rolo-locate): Added this command and bound to {l} within the
    rolo match buffer to interactively search for matches at the beginning
    of entries.  Also added as wrolo popup menu item,
    Locate-Entry-Isearch.

Thu Feb 26 13:22:13 1998  Bob Weiner  <weiner@beopen.com>

* kotl/kexport.el: Added this file to convert koutlines to HTML.

Thu Feb 26 05:56:55 1998  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:url-regexp): Tightened up final character URL matching.

Mon Feb 23 02:52:07 1998  Bob Weiner  <weiner@beopen.com>

* wrolo-logic.el (rolo-fgrep-logical): Added to simplify use of the
    rolo logical operators.
* wrolo.el (rolo-fgrep): Modified to automatically call rolo-fgrep-logical
    if the search string contains (and) (or) (not) or (xor) expressions.

Sat Feb 21 17:01:54 1998  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:display-alist): Added Action Key loading of .rdb
    database files from the BeOpen.com RDB in-memory relational database
    package.

* kotl/kotl-mode.el (kotl-mode:tab-flag):
                    (kotl-mode:toggle-tab-flag): 
                    (kotl-mode:indent-line): 
                    (kotl-mode:tab-command): Added to support frequent
  insertion of literal tabs characters and bound this to {TAB}
                    (kotl-mode:indent-region): Added support for indenting
  regions within the current cell.

Sat Feb 14 17:35:17 1998  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:display-alist): Extended to match any OO-Browser
    Environment file names with OOBR or OOBR.*-FTR in them.

Tue Feb 10 00:13:14 1998  Bob Weiner  <weiner@beopen.com>

* hyperbole.el (Info-directory-list): Add hyperbole/man subdirectory if
    it exists to eliminate need to install the online manual.

Wed Feb  4 01:27:57 1998  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (hsys-w3): Raised priority of this type so that it precedes
    klink type and so <A HREF="http://www.whatever.com"> is not treated
    as a klink.

Sat Jan 17 00:06:29 1998  Bob Weiner  <weiner@beopen.com>

* hsite-ex.el: Moved all hpath:display-*, hpath:variables and
    hpath:find-alist variables back into "hpath.el" to avoid the need
    to autoload these before hsite.el is loaded.

Fri Jan 16 19:54:16 1998  Bob Weiner  <weiner@beopen.com>

* wconfig.el: (wconfig-ring-save): 
   	      (wconfig-add-by-name): Substituted command keybindings in
    user messages.

Thu Jan  8 16:58:06 1998  Bob Weiner  <weiner@beopen.com>

* hargs.el (hargs:completion): Fixed to always grab only one completion
    entry and to replace the minibuffer contents completely with an
    appropriate value based on the selected entry.
           (hargs:string-to-complete):
	   (hargs:unset-string-to-complete): 
	   (hargs:set-string-to-complete): Added to improve completion selection.

Wed Jan  7 12:40:16 1998  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Added call to smart-element when in an
    OO-Browser feature listing buffer.

* hibtypes.el (oobr-ftr): Deleted by moving to the OO-Browser since
    hibtypes.el is not shipped with the OO-Browser.

* wrolo-menu.el (wrolo-popup-menu): Fixed to deal with GNU Emacs
    definition of popup-menu as a macro.

* hversion.el (hyperb:path-being-loaded): Deleted, no longer used.

* hyperbole.el (hkey-init): Added documentation for this variable.
               (hyperb:dir): Simplified by using locate-file instead of
    hyperb:path-being-loaded.

* hmouse-drv.el (hkey-either): Moved from hyperbole.el to hmouse-drv.el so
    is included in the OO-Browser and can be bound to a key.

Tue Jan  6 11:57:10 1998  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:emacs19-p): Updated to support Emacs V20 and above.

Sat Dec 20 23:06:54 1997  Bob Weiner  <weiner@beopen.com>

* kotl/klink.el (klink:at-p): Tightened test for klinks within C-based
    programming languages to matches only within comments.  This avoids
    both C++ template and Objective-C protocol syntaxes that look like klinks.

Wed Dec 17 22:57:48 1997  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (grep-msg): Added support for Microsoft JVC error messages.

1997-11-22  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (id-cflow): Added to browse C code call trees produced by id-cflow.el.

Wed Nov 19 18:16:10 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el (smart-c): 
	        (smart-c++-tag): 
	        (smart-objc-tag): Don't bother checking for symbols within
    libraries if the user-specific ~/.CLIBS-LIST file has not been created.

Tue Nov 18 00:23:53 1997  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (oobr-ftr): Added to jump to OO-Browser feature tag definitions.

Mon Nov 17 21:29:11 1997  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (mail-address): Eliminated matches in OOBR-FTR buffers
    which use @ characters for other reasons.

* hmouse-tag.el (smart-c++-at-tag-p): Updated to allow for identifiers
    such as, `operator () (int, int)' yet to not include the opening
    parenthesis in `min ()' as that would throw off tag handling for
    `min'.

Tue Nov 11 18:26:08 1997  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:match): Made this case-insensitive so files coming off
    case-insensitive OSes will always work properly.

==============================================================================
V4.10 changes ^^^^:
==============================================================================

Wed Oct  8 15:04:13 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el: Remove require of hbut since no longer needed.  This
    greatly simplifies this modules' dependencies.

Thu Oct  2 15:34:28 1997  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:at-p): 
           (hpath:url-p): 
	   (hpath:url-at-p): Improved recognition of local files.

==============================================================================
V4.027 changes ^^^^:
==============================================================================

Tue Sep 16 17:34:47 1997  Bob Weiner  <weiner@beopen.com>

* htz.el (htz:local): Use current-time-zone function when available.

Mon Sep 15 13:46:44 1997  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:fill-paragraph): Updated to do better
    paragraph filling with the par-align.el package under InfoDock.

Tue Aug 26 03:18:57 1997  Bob Weiner  <weiner@beopen.com>

* hargs.el (hargs:at-p): Fixed to use newer Info-directory-list variable
    when available.

Sun Aug 24 21:28:54 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-key.el (hmouse-toggle-bindings): Disabled this command since
    it is too easy for novices to invoke and its change is too
    radical unless the user is notified.

Sat Aug 16 01:20:06 1997  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (pathname): Fixed bug that prevented this implicit
    button type from recognizing Emacs Lisp library .el files.

Fri Aug 15 14:50:59 1997  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode-map): Only bind M-C-h (M-BS) if it
    does not already have a standard editing key binding.

Sun Aug 10 23:58:45 1997  Bob Weiner  <weiner@beopen.com>

* hsite-ex.el (hpath:find-alist): Added invocation of `xdvi' to display
    .dvi files under the X window system.

Sat Aug  9 02:39:46 1997  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Added Fortran90 mode support for identifier lookups.

==============================================================================
V4.026 changes ^^^^:
==============================================================================

1997-07-23  Bob Weiner  <weiner@beopen.com>

* hactypes.el (link-to-texinfo-node): Added to display a Texinfo node
    within the current buffer.  Used during cross-reference following.

* hui-menu.el (infodock-hyperbole-menu): Changed "Quit" menu item to
    "Remove-this-Menu" to make its action more explicit and moved to
    its own section near the top of the menu.

1997-07-21  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (texinfo-ref): Added this implicit button type which
    displays Info node associated with Texinfo @xref, @pxref or @ref at
    point if point is on the cross-reference keyword.  If within the
    cross-reference braces, displays the associated Info node.

1997-07-20  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (hui-menu-remove): Simplified removal if
    menubar-configuration variable is defined.

1997-07-16  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:find-program): Modified to allow for natively handled
    image formats when `image-mode' is defined.

1997-07-14  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode-map): Handled Emacs V20 elimination of
    indented-text-mode-map variable.

Fri Jun 27 15:48:47 1997  Bob Weiner  <weiner@beopen.com>

* wrolo-menu.el (menubar initialization): Added (featurep 'infodock) test
    to avert error where W3 defines a stub for id-menubar-set and this
    makes us assume we are running under InfoDock.  Steve Baur pointed
    this out and provided the patch.

Wed Jun 25 01:15:42 1997  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:display-file-with-logo): Disabled attempt at glyph
    insertion when not supported, e.g. under GNU Emacs.

Tue Jun 24 14:44:07 1997  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (mail-address-mode-list): Added to support programmability
    of the modes in which mail-address implicit buttons are active.

Wed Jun  4 16:15:12 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el (smart-lisp-at-tag-p): Eliminated match to final colon.

Wed May 28 19:38:39 1997  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (ctags): Added this new type to jump to the source line
    associated with a ctags file entry in any buffer.
              (etags): Similar except for etags and only works in TAGS
  buffers.

Tue May 20 01:24:39 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el (smart-c++-at-tag-p): Fixed to handle variable tags.

Mon May 19 21:22:50 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el (smart-c++-tag):
                (smart-objc-tag):
                (smart-java-tag): Added to support TAGS file usage with
    the OO-Browser.

==============================================================================
V4.025 changes ^^^^:
==============================================================================

Thu Apr 24 19:31:25 1997  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (smart-dired-assist): Updated to call Emacs 19
    dired-flag-file-deletion command.

* hui-menu.el (hui-menu-options): Added toggle button to add and remove
    the Hyperbole Menu from the menubar.
              (hyperbole-menubar-menu): Updated to account for the
    menubar-configuration variable which can hide menus.

* hinit.el (hyperb:init-menubar): Made this autoloadable and interactive.

* kotl/kmenu.el (kotl-menubar-menu): 
  hui-menu.el (hyperbole-menubar-menu): Added work around for event
    handling bug in some versions of XEmacs.

Wed Apr 23 21:22:31 1997  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:microcruft-os-p): Added `win32'.

Sat Apr  5 14:11:13 1997  Bob Weiner  <weiner@beopen.com>

* hargs.el (hargs:at-p): 
       	   (hargs:iforms-extensions): Added support for +V extension
       character for interactively reading a koutline view spec.

* kotl/kmenu.el (id-popup-kotl-menu): 
                (id-menubar-kotl): Added Label-Type/Set-Label-Separator
    menu item.

Fri Apr  4 22:12:46 1997  Bob Weiner  <weiner@beopen.com>

* hui.el (hui:ebut-prompt-for-action): Added a defvar of this variable.
* man/hyperbole.texi: Edited the whole manual for clarity and rearranged
    some chapters to start discussing user-level features much faster than
    before.
* hypb-mouse.txt: Corrected entry for the Action Key in an unrecognized
  context; it displays an invalid context message.

Fri Mar 28 08:23:56 1997  Bob Weiner  <weiner@beopen.com>

* wrolo.el: Added a missing require of htz.el.

Sun Mar 23 21:20:02 1997  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Sensitized activation of
    items on the Window-Configuration submenu.

Sat Mar 22 23:23:24 1997  Bob Weiner  <weiner@beopen.com>

* kotl/kfile.el (kfile:read): Added optional argument ver-string
    so kfile:is-p need not be called twice.

* kotl/kotl-mode.el (kotl-mode:example): Added this command to simplify
    demonstration of the Koutliner. Also added to "kotl/kmenu.el".

Fri Mar 21 00:36:21 1997  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Added conditionalized pointer
    to Hyperbole Menu section of the InfoDock Manual.

Thu Mar 20 11:52:11 1997  Bob Weiner  <weiner@beopen.com>

* hvm.el (vm-assimilate-new-messages): Updated for VM 6.19 calling
   compatibility.

* hpath.el (hpath:url-at-p): Delete any trailing commas from URL.

==============================================================================
V4.024 changes ^^^^:
==============================================================================

Thu Mar 13 22:01:52 1997  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-toggle-datestamps): Added.
* hui-mini.el (hui:menus): Added Cust/Toggle-Rolo-Dates entry.
* hui-menu.el (hui-menu-options): Added Customization/Toggle-Rolo-Dates
    item.
* wrolo.el (rolo-add): Added wrolo-add-hook, executed after the record
    is added.
           (rolo-edit): Added wrolo-edit-hook, executed after point is
    successfully moved to the record to edit.  These can be used, for
    example, to add and update date entries in address records.
           (rolo-current-date): Added.
	   (rolo-set-date): Added and used as default wrolo-add-hook and
    wrolo-edit-hook settings.

Mon Mar 10 12:17:15 1997  Bob Weiner  <weiner@beopen.com>

* hsys-w3.el (www-url): Eliminated call of external Web browser if not
    running under a window system.

Sun Mar  9 01:32:03 1997  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:url-at-p):
	   (hpath:www-at-p): Fixed bug that referred to an optional match
    component without checking if it was matched.
           (hpath:url-p): Changed doc to reflect that pathname can be optional.

* hsite-ex.el: Added (require 'hyperbole) to ensure that this file
    is loaded if hsite.el is autoloaded, e.g. under XEmacs.

Thu Mar  6 14:14:05 1997  Bob Weiner  <weiner@beopen.com>

* hui-mini.el (hyperbole): Added autoload special comment.

Wed Mar  5 01:14:47 1997  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:center-line): 
* kotl/kview.el (kcell-view:line): Changed calls to
    kotl-mode:beginning-of-line to kotl-mode:start-of-line to avoid an
    XEmacs byte compiler bug in some versions.  The bug shows up when
    kotl-mode:center-line is called on the first line of a cell and the
    cell label is centered along with the line (the label should not
    move).

Tue Mar  4 20:45:52 1997  Bob Weiner  <weiner@beopen.com>

* hsite-ex.el (hpath:find-alist): Modified to use `xv' to display xpm
  files; it is more robust than `sxpm' in the face of limited colors.

Mon Mar  3 12:06:49 1997  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Added :config 'Hyperbole
    configurator to the menu so users can hide the Hyperbole
    menu from the menubar if they don't use it, via menubar-configuration,
    under XEmacs and InfoDock.

Sun Mar  2 22:35:26 1997  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:set-cell-attribute): Changed
    read-expression to read-minibuffer since GNU Emacs doesn't
    have the former.

Fri Feb 28 23:31:57 1997  Bob Weiner  <weiner@beopen.com>

* kotl/kprop-xe.el (kproperty:put): Fixed problem with internal handling
    of text property protocols within newer versions of XEmacs.  The
    `text-prop' symbol can no longer be set to `t'.  It must be set to
    a symbol from the property list of the extent that carries
    text-properties.

==============================================================================
V4.023 changes ^^^^:
==============================================================================

Sat Feb 22 14:30:14 1997  Bob Weiner  <weiner@beopen.com>

* hypb.el (hypb:ida-logo-keymap): Added conditional for Emacs keybinding.

==============================================================================
V4.022 changes ^^^^:
==============================================================================

Fri Feb 21 17:49:01 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-reg.el (hmouse-get-bindings): 
                (hmouse-setup): 
* hmouse-sh.el  (hmouse-get-bindings): 
                (hmouse-setup): 
* hmouse-key.el (hmouse-set-bindings): 
Modified to do nothing when running in batch mode (noninteractively).


==============================================================================
V4.021 changes ^^^^:
==============================================================================

Tue Feb 18 18:57:27 1997  Bob Weiner  <weiner@beopen.com>

* hui-mini.el (hui:menus): Added "Doc/About" menu item
* hui-menu.el (infodock-hyperbole-menu): Added "About" menu item.
* hypb.el (hypb:ida-logo-keymap): 
          (hypb:ida-home-page): 
	  (hypb:display-file-with-logo): Added to support About Hyperbole command.

Mon Feb 17 15:27:21 1997  Bob Weiner  <weiner@beopen.com>

* hversion.el (hyperb:microcruft-os-p): Added.

Sat Feb 15 16:03:42 1997  Bob Weiner  <weiner@beopen.com>

* hpath.el (hpath:find): Fixed bug that returned nil (now is 't) if file
    was displayed using a specialized function.
           (hpath:find-line): Added to handle displaying of all files at
 	     specific lines (hpath:find does not work for this use since it
	     may call external display functions).
* hactypes.el (link-to-file-line): Rewrote to call hpath:find-line.

Fri Feb 14 11:39:09 1997  Bob Weiner  <weiner@beopen.com>

* hrmail.el (rmail-forward): Updated to V19 compatibility.

Sun Jan 26 14:32:28 1997  Bob Weiner  <weiner@beopen.com>

* hmouse-sh.el (hmouse-get-bindings): 
* hmouse-reg.el (hmouse-get-bindings): Rearranged order of initial
    conditional so that xemacs or emacs19 always takes precedence over
    hyperb:window-system setting, which may be "xterm".

* hmouse-key.el (or hyperb:xemacs-p hyperb:emacs19-p): Prevent any attempt
    to load pre-dumped mouse libraries when running under X terms on these
    versions of emacs.

* hyperbole.el (hbut:key-src): Added this autoload to avert error if the
    rolo is loaded before the Hyperbole system and then a rolo-edit, {e},
    request is made within the match buffer.

* hgnus.el: Updated to support new Gnus gnus-msg.el replacement for gnuspost.el.

* hversion.el (sm-window-sys-term): 
* hbmap.el (hbmap:dir-user): Patched to support GNU Emacs running 
    natively under Windows NT.

Tue Jan 14 15:45:14 1997  Bob Weiner  <weiner@beopen.com>

* ../../etc/hypb-mouse.txt (Special Modes): Added Objective-C, Java and
    Fortran support documentation.

Mon Jan  6 18:59:13 1997  Bob Weiner  <weiner@beopen.com>

* kotl/klink.el (klink:at-p): Eliminated matches to URLs for now.

Wed Dec 25 22:01:05 1996  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el: Changed all opening quotes in comments from ' to `.

Tue Dec 10 16:40:09 1996  Bob Weiner  <weiner@beopen.com>

* wrolo.el (wrolo-mode-syntax-table): Added to support syntactic selection
    of delimited e-mail addresses.

Fri Dec  6 12:34:31 1996  Bob Weiner  <weiner@beopen.com>

* hmail.el (hmail:region): Fixed bug that extracted region from the wrong
    buffer.

Thu Dec  5 15:34:55 1996  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (annot-bib): Eliminated conflict with PPG-sw-process-id
    ibtype.

* hpath.el (hpath:is-p): Fixed error triggered when tried to format a path
    with more than one %s.

Wed Dec  4 13:39:09 1996  Bob Weiner  <weiner@beopen.com>

* kotl/kmenu.el (id-menubar-kotl): Fixed so this mode menu is properly
    installed under InfoDock.

Tue Nov 26 21:21:50 1996  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Added Customization option that
    sets the program used to display URLs.

Thu Nov 14 18:11:36 1996  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el (smart-*-at-tag-p): Modified to flash tag as a hyperbutton
    when pressed, if Hyperbole has been loaded and flashing is supported
    on the current device.

* hbut.el (ibut:label-set): Made this return its LABEL argument.  Useful
    when label has not yet been saved in a variable.

* kotl/klink.el (klink:at-p): Ignore HTML and SGML tags when looking for Klinks.

Sun Nov 10 01:47:01 1996  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-sort-level): Made case-insensitive.
           (rolo-add): Fixed bug caused by a call to widen that sometimes
    failed to leave point at the newly added entry if the rolo
    buffer was already displayed when the rolo-add call was made.

* hmouse-tag.el (smart-lisp): Display message and beep when tag is not found.

* hibtypes.el (function-in-buffer): 
* hactypes.el (function-in-buffer): Added to follow function references
    that are defined in the same buffer as the reference.
              (annot-bib): 
	      (exec-shell-cmd): 
              (man-show): 
	      (rfc-toc): Updated all of these to use hpath:display-where
    output display setting.
	      (link-to-elisp-doc): Also modified to move point to the
    documentation buffer.

* hui.el (hui:hbut-current-act): Added.

Fri Nov  8 21:37:34 1996  Bob Weiner  <weiner@beopen.com>

* hbut.el (ebut:act): Added for use when activating an explicit button
    from a menu.
          (ebut:list): Fixed bug that returned (nil) when no explicit
    buttons were found.
* hui-menu.el (hui-menu-explicit-buttons): Added to display a list of
    explicit buttons for activation via the Explicit-Button menu.
* hui-menu.el (hyperbole-gbut-menu): Added to display a list of existing
    global buttons for activation via the Global-Button menu.

Tue Nov  5 19:26:17 1996  Bob Weiner  <weiner@beopen.com>

* hibtypes.el (pathname): Modified to display Emacs Lisp libraries when
   given as delimited filenames, without any path.

Fri Nov  1 00:26:13 1996  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Moved OO-Browser handler to near bottom so
    that it does not override mode-specific handlers.

Thu Oct 31 20:01:34 1996  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Added Action and Assist key support for Java
    identifiers.
* hyperbole.el: Added Java autoloads.
* hmouse-tag.el (smart-java-package-dirs): Added this variable as the
    setting of where Java package source code can be found when the
    OO-Browser is not in use.  Defaults to a single item list of
    "${JAVA_HOME}/src/" if JAVA_HOME is set.
                (smart-java-*): Added point and click identifier jumping for Java.
                (smart-tags-file): Added optional argument NAME-OF-TAGS-FILE 
    so can search for OO-Browser lookup tables.
                (smart-java-cross-reference): Added to follow @see cross-references.

Sat Oct 26 01:05:29 1996  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (infodock-hyperbole-menu): Added Customization submenu.
* hui-mini.el (hui:menus): Added Cust/ submenu.

* hbut.el (hbut:source): Fixed bug that neglected to account for double
    quotes around the name within the printed representation of
    a buffer object.

Fri Oct 25 13:52:51 1996  Bob Weiner  <weiner@beopen.com>

* hmouse-tag.el: Updated function to use with new buffer display protocol.
* hactypes.el: Updated many definitions here to use hpath:find and
    hpath:display-buffer.
* hui-mouse.el (smart-dired): Changed call of hpath:find-other-window to
    hpath:find to use new user-definable display location protocol.
* hpath.el (hpath:find): Expanded optional values of 2nd arg and made
    default location of an internally displayed file be given by the
    value of the hpath:display-where variable.
* hpath.el (hpath:display-buffer):   
           (hpath:display-buffer-other-frame):   Added for linked to buffers.
           (hpath:find-other-frame): Added for use in hpath:display-where-alist.
* hsite-ex.el (hpath:display-where):
              (hpath:display-where-alist):
	      (hpath:display-buffer-alist): 
    Added these new variables to control where Hyperbole displays link referents.
    The first one documents the possibilities and the second two specify
    the function to call for each possibility.

Tue Oct 22 01:21:53 1996  Bob Weiner  <weiner@beopen.com>

* kotl/kvspec.el (kvspec:update-modeline): Fixed to accomodate specialized
    extents in the modeline introduced by XEmacs 19.14.

* hui-mouse.el (hkey-alist): Added support for new id-edit-mode which
    can be setup to activate whenever a region is highlighted with the
    mouse.  When id-edit-mode is active the Action Key (or the Assist Key)
    will paste the region that was highlighted at point.  The key {y} also
    happens to do the same thing in this mode, but has the additional
    property that it will cycle through previous entries in the kill-ring.

Fri Sep 20 22:19:33 1996  Bob Weiner  <weiner@beopen.com>

* Changed `cs.uiuc.edu' to `xemacs.org', the new Hyperbole distribution site.

==============================================================================
V4.02 changes ^^^^:
==============================================================================

Fri Nov  3 22:40:34 1995  Bob Weiner  <weiner@beopen.com>

* hsys-w3.el: Renamed entries in this file and added
    action-key-url-function definition in "hyperbole.el", which can be
    used to change the display function used when a URL is activated with
    the Action Key.  Also, loaded this library by default instead of
    requiring that it be set up in "hsite.el".

Fri Nov  3 19:25:24 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode): Fixed so re-narrows a formatted koutline
    to just its cells when invoked.

Fri Nov  3 19:29:58 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kvspec.el (kvspec:blank-lines): Modified to allow toggling blank
    lines in a read-only outline and to not change the modification status
    of the buffer when kvspec:toggle-blank-lines is used.

Fri Nov  3 01:28:44 1995  Bob Weiner  <weiner@beopen.com>

* man/hypb-mouse.txt: Updated to reflect new smart-scroll-proportional
    default setting.

* hsite-ex.el (hpath:display-alist): Fixed bug that tried to kill *info*
    buffer when it didn't exist.  Also fixed bug in call to Info-find-node
    which gave too many args under Emacs 19.

==============================================================================
V4.01 changes ^^^^:
==============================================================================

Thu Nov  2 00:52:26 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:cell-help): Fixed this, the {C-c h} command
    to properly deal with a cell-ref = 0.  In this case, always display
    the 0 cell's attributes before any other attribute data.

* kotl/kview.el (kcell-view:previous): Fixed bug that moved to a hidden
    cell when visible-p flag was given.

Wed Nov  1 02:05:36 1995  Bob Weiner  <weiner@beopen.com>

* kotl/klink.el (klink:parse): Changed to require a common following any
    pathname in a link to prevent parsing, <3g |en>, as a pathname followed
    by a viewspec.

* kotl/kview.el (kcell-view:child):
                (kcell-view:child-p)
                (kcell-view:sibling-p): Added optional visible-p parameter to
    find only visible matches.
    
* kotl/kotl-mode.el: Fixed improper modification of global
    minor-mode-alist and mode-line-format values.

Tue Oct 31 00:45:44 1995  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-mail-to): Added to compose mail to current or next e-mail
    address when in a rolo or mail buffer.  Bound to {m} in rolo
    match buffer and added as Rolo/Mail menu item.

* hsite-ex.el (smart-scroll-proportional): Changed default to t, so can do
    proportional scrolling by default.  Scrollbars are often available
    when non-proportional scrolling is desired.

* kotl/kotl-mode.el (kotl-mode:to-valid-position): Optimized a bit further.

Mon Oct 30 01:37:31 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:copy-to-buffer): Made the default buffer to
    copy to the buffer in the other window of this frame, if any.  Also
    fixed bug that caused more than one tree to be copied if there was no
    successor for the tree but there was a following higher level cell.

* hsys-www.el: Removed this library that encapsulated the old CERN
    command-line WWW browser.  No one would want to use that today.  Use
    hsys-w3.el instead.

* hypb.el (hypb:insert-region): Added to deal with region copying used by
    hmail:region and kotl-mode:copy-to-buffer.

* kotl/kview.el (kcell-view:child-p): Added.

* wrolo.el (rolo-isearch): Added to search for next occurrence of current
    match regexp and then allow user to add characters to narrow the
    search, bound to {M-s}.
* man/hyperbole.texi (Rolo Keys): Documented {M-s} binding.

* kotl/kview.el (kcell-view:contents): Added optional POS argument.

* kotl/kimport.el (kimport:file): Added to import different file types
    based upon buffer name suffixes.  Default is to import as text.

* kotl/kimport.el: Rewrote all of these functions to handle importation
    at an arbitrary level in an existing koutline.

Sun Oct 29 01:26:25 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:demote-tree): 
   	            (kotl-mode:promote-tree): Fixed bug that could leave
   point in a non-editable portion of a koutline.

* hibtypes.el (grep-msg): Added support for IBM AIX xlc C compiler errors.
    Also made this higher priority that `pathname' implicit button type so
    that if activate within a doubly quoted pathname followed by a line
    number, the line number is used.

* kotl/kotl-mode.el (kotl-mode:fill-paragraph): Fixed bugs that kept it
    from filling paragraphs where point was not on the first paragraph
    line but the first line did not need filling.

* hui-mini.el (Win/PopRing):
              (Win/YankRing): Changed so they redisplay the Win menu.
    This lets you repeatedly yank or pop window configurations until you reach
    the one you want.

* kotl/kview.el (kcell-view:create): Fixed so if no-fill is in the kcell's
    attribute list, rather than passed in as the `no-fill' argument, its
    value is still used.

* kotl/kotl-mode.el (kotl-mode:add-cell): Added extra argument so can pass
    in a list of attributes for the cell, as a property list.
                    (kotl-mode:split-cell): Fixed so original cell
    attributes are propagated to the newly created cell.

* kotl/kfile.el (kfile:create): Modified to handle importation of a
    foreign text buffer when kotl-mode calls this function within a
    foreign format buffer.

Sat Oct 28 02:32:12 1995  Bob Weiner  <weiner@beopen.com>

* kotl/klink.el (klink:create): 
 	        (link-to-kotl): 
		(klink:parse): 
		(klink:cell-ref-regexp): 
* kotl/kvspec.el (kvspec:string-format): 
* hactypes.el (link-to-kcell): 
* kotl/kotl.el (kcell:ref-to-id): 
* kotl/kotl-mode.el (kotl-mode:goto-cell): Changed viewspec preface
    character from : to |.  Augment viewspec characters preceded by a
    colon are ignored, for now.

Fri Oct 27 15:16:11 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kview.el (kview:set-label-separator): Rewrote so properly changes
    the separator in the current view.  Made it interactive and removed
    input argument, kview.  Use local buffer value of kview instead.
    Added key binding for it, {C-c M-l}.
* kotl/kprop-em.el:
  kotl/kprop-xe.el (kproperty:replace-separator): Added, called by above
    function.

* kotl/kprop-xe.el (kproperty:properties): Changed definition since
    text-properties-at did not return the list of kproperties.

Thu Oct 26 00:06:49 1995  Bob Weiner  <weiner@beopen.com>

* hui-mini.el (hui:menus): Simplified a number of documentation display
    entries.

* kotl/kotl.el (kcell:read-only-attributes): Added, lists cell attributes
    that may not be modified by a user.

* kotl/kotl-mode.el (kotl-mode:insert-file-contents): Renamed from
    kotl-mode:insert-file.  Now use that name to import a file as a
    sequence of sibling cells, rather than one monolithic cell, bound to
    {C-x i}, overloading the standard insert-file.
                    (kotl-mode:get-cell-attribute): Added.
                    (kotl-mode:set-cell-attribute): Added, bound to {C-c C-i}.
		    (kotl-mode:cell-help): Renamed from :kcell-help.
		    (kotl-mode:print-attributes): Renamed from :print-properties.

* kotl/klabel.el (klabel:level): Added to compute the level of a given label.
                 (klabel:level-alpha): Renamed from kimport:aug-label-level.
		 (klabel:level-legal): Added.

* kotl/kimport.el (kimport:kcells): Added to insert kcell contents from
    one koutline to another.
                  (kimport:text): Generalized greatly so can import into
    an existing or non-existing koutline and can take buffer, buffer-name or
    file arguments.
                  (kimport:aug-post-outline): 
	          (kimport:star-outline): Fixed and speeded up.  Code had
    somehow broken over time.
                  (kimport:text): 
                  (kimport:text-cells): Added to import text paragraph as
    cells all at the same level.

Wed Oct 25 02:24:35 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kfile.el (kfile:update): Added kotl-mode setting to the first line
    of koutline files so they are read in with the right mode even if they
    do not have a file suffix of .kotl.
                (kfile:read-name): Relaxed to allow files without .kotl suffix.

* kotl/kotl-mode.el (kfile:write): Fixed bug that failed to restore local
    hook settings after renaming buffer.  This would cause invalid
    koutlines to be written after a rename.
*                   (kotl-mode): Fixed bug that treated a koutline that
    has been read in and formatted for editing as an unformatted koutline.

* hibtypes.el (text-toc):
  hactypes.el (text-toc): Added to use README table of contents as
    implicit buttons.

* hbut.el (ibut:label-set): Expanded doc string.

* README: Rewrote installation instructions.
* man/hyperbole.texi: Reorganized manual for clarity.  Added obtaining
    Hyperbole, installing it and filled out the whole Hyperbole Outliner
    chapter.

Tue Oct 24 03:52:40 1995  Bob Weiner  <weiner@beopen.com>

* man/hyperbole.texi (Configuration): Renamed from Initializing.

Mon Oct 23 01:00:54 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:top-cells): Simplified and fixed to utilize
    blank lines setting.

* kotl/kmenu.el (id-popup-kotl-menu): 
                (id-menubar-kotl): Added View Menu and moved view-related
    tree operations from Tree menu to here.  Also added Find and
    Find-Read-Only menu entries so can edit/view other koutlines.
    Added Append-Cell and Set-Cell-Attributes menu items.
* hui-mini.el (hui:menus): Renamed Otl/Below to Otl/Downto so could add
    Otl/Blanks to toggle blanks on and off.  Changed name and function of
    Otl/View to Otl/Vspec.  Now prompts for and activates a view spec.
    User can use {C-x C-r} to view a koutline instead.

* README: Updated What's New section to V4.00.

* man/hyperbole.texi (Hyperbole Views): Rewrote and expanded to explain
    new view specs.

* man/hyperbole.texi (Hook Variables): 
  wrolo.el (rolo-yank):
           (wrolo-yank-reformat-function):  Added this variable to
    allow user to reformat yanked entries.

* kotl/kvspec.el (kvspec:toggle-blank-lines): Added, bound to {C-c b}.

* kotl/kfile.el (kfile:read-v4): Added for V4 format which initializes
    view spec local variables read from the file.
                (kfile:update): Save current viewspec to file.
		(kfile:version): Updated file format to V4.0.

* kotl/kotl.el (kcell:ref-to-id): 
  kotl/kotl-mode.el (kotl-mode:goto-cell): Fixed to ignore relative specs
    and to utilize view specs.

* kotl/EXAMPLE.kotl: Updated to explain view spec handling.

Sun Oct 22 00:38:45 1995  Bob Weiner  <weiner@beopen.com>

* hbut.el (ebut:key-src): Fixed bug that prevented match to
    hbut:source-prefix line when in a collapsed outline line.
    rolo-edit-entry would not work when rolo match entries were
    collapsed.

* kotl/kotl-mode.el (kotl-mode:append-cell): Added to append the contents
    of one cell to another, bound to {C-c +}.

* kotl/kvspec.el: Added this file to control Koutliner view specification.
                 (kvspec:activate): Added to interactively set view specs
                 and bound to {C-c C-v}.
                 (kvspec:no-blank-lines): Renamed from kotl-mode:shorten-all.
                 (kvspec:blank-lines): Renamed from kotl-mode:extend-all.

* kotl/kmenu.el (kotl-menubar-menu): 
  hui-menu.el (hyperbole-menubar-menu): 
  wrolo-menu.el (wrolo-menubar-menu): Fixed bug when current-menubar was
    nil, would not display menubar entry under Emacs 19 even though it should.

Sat Oct 21 01:07:32 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kview.el (kview:default-blank-lines): 
		(kview:default-levels-to-show): 
		(kview:default-lines-to-show): Added these variables.
          	(kview:create): Use their values.
		(kcell-view:create): Use kview's blank-lines setting.

* kotl/kprop-xe.el (kproperty:remove): Fixed bug that ignored open-ended
    properties.
  kotl/kprop-em.el (kproperty:remove): Rewrote to remove only those
    properties with matching values.

* kotl/kotl-mode.el (kotl-mode:extend-all):
                    (kotl-mode:shorten-all): Rewrote to use invisible
    properties.
* kotl/kfile.el (kfile:shorten-after-saving):
                (kfile:extend-before-save): Removed.  No longer needed
    since blank lines are removed using invisible characters.

* kotl/kprop-em.el (kproperty:put):
* kotl/kprop-xe.el (kproperty:put):   Changed calling interface to take a
    list of properties.

* kotl/kfill.el (kfill:prefix-table): Generalized supercite citation prefix.

Tue Oct 17 01:21:37 1995  Bob Weiner  <weiner@beopen.com>

* hinit.el (hyperb:check-dir-user): Call make-directory function if
    available.

Mon Oct 16 01:02:19 1995  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-file-list): Set to c:/_rolodex.otl under MS-DOS and Windows.
* hbmap.el (hbmap:dir-user): Set to c:/_hyperb/ under MS-DOS and Windows.
* hbut.el (hattr:filename): Set to _hypb under MS-DOS and Windows.

Sun Oct 15 17:32:46 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:copy-region-as-kill): Don't trigger error
    when called in a read-only buffer.

Fri Oct  6 12:56:57 1995  Bob Weiner  <weiner@beopen.com>

* hui-mouse.el (hkey-alist): Moved Smart Menu display code closer to
    highest priority so that hkey-always-display-menu works as advertised.

* hui-window.el (hmouse-modeline-depress): Fixed so does not false under
    Emacs 19 when depress in a minibuffer window.  This fixes the problem
    of the Action Key not properly selecting Hyperbole minibuffer menu items.

Thu Oct  5 14:31:56 1995  Bob Weiner  <weiner@beopen.com>

* hui-menu.el (hyperbole-menubar-menu): Added omitted (require 'lmenu) for
    Emacs 19 that prevented Hyperbole menubar from appearing under Emacs 19.

Wed Oct  4 12:41:24 1995  Bob Weiner  <weiner@beopen.com>

* hsite-ex.el (hkey-always-display-menu): Added this definition to prevent
    it from being unbound if smart-menu is invoked and the Smart Menu system
    is loaded under InfoDock.

Wed Sep 27 01:56:53 1995  Bob Weiner  <weiner@beopen.com>

* wrolo.el (rolo-edit): Modified to treat an empty string argument for
    NAME as a null argument, so one can just hit RET interactively.  Also,
    modified to automatically select rolo file when called
    interactively if rolo-file-list has only one element.

* wrolo.el (wrolo-mode-map): Added {e} binding to edit the entry at point
    within the rolo match buffer.
* man/hyperbole.texi (Rolo Keys): Documented {e} key.

Mon Sep 25 11:15:49 1995  Bob Weiner  <weiner@beopen.com>

* kotl/kotl-mode.el (kotl-mode:indent-line): 
                    (kotl-mode:indent-region): Added.  Each signals an
    error to force user to hit SPC to indent lines.
                    (kotl-mode): Set indent-line-function and
   indent-region-function.

* hyperbole.el (hmail:msg-narrow): Added autoload.

Fri Sep 22 17:14:05 1995  Bob Weiner  <weiner@beopen.com>

* hsite-ex.el (hpath:display-alist): Fixed bug in handling info-suffix
    variable scoping that prevented Action Key from browsing info files in
    dired.

==============================================================================
V4.00 changes ^^^^:
==============================================================================
